Name:           python-soxspipe
Version:        0.13.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A python package and command-line tools to The data-reduction pipeline for the SOXS instrument

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/thespacedoctor/soxspipe
Source:         %{pypi_source soxspipe}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'soxspipe' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-soxspipe
Summary:        %{summary}

%description -n python3-soxspipe %_description


%prep
%autosetup -p1 -n soxspipe-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-soxspipe -f %{pyproject_files}


%changelog
%autochangelog